commit:     af34ff8c6df363a98d9c528cb59b1aef82c778cd
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 13 19:12:17 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug 13 19:31:09 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af34ff8c

dev-python/pbr: Bump to 7.0.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pbr/Manifest         |  1 +
 dev-python/pbr/pbr-7.0.0.ebuild | 69 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/dev-python/pbr/Manifest b/dev-python/pbr/Manifest
index 138a74b2c410..5bd037e9f079 100644
--- a/dev-python/pbr/Manifest
+++ b/dev-python/pbr/Manifest
@@ -1 +1,2 @@
 DIST pbr-6.1.1.tar.gz 125702 BLAKE2B 
ee675c029f1ccf66ffb3b92fec67802f1a3d49735e08ec72658e7b3b528014109ec2a4ee0672b7c320d70a3b56b9a0a7929a7ae85915d941ce0e170e0cdc92a7
 SHA512 
db898469dad4d0ccfa90ee9a8faee83db0897e7451c30561d7e1f92163c82c81586853b8aaabcf80569d1cbdf5177da927ed79b0c393f6c5b2a910de0354a471
+DIST pbr-7.0.0.tar.gz 129146 BLAKE2B 
3a290a90bc6ac9b2162cd5b28cb43c4c1f28efe1141e86b731bad5c727b8370f04fe37031931edfaec075de6c1fe418a6f657c12132a34414158ce66045939b9
 SHA512 
31e2a5554e46bb4734b5dd7a08ea6080b99a8b61c06463c496be89fb4a73e89435e476bb7c5090949267e4c11c2882ab36ea1f4a667c313006234b203d3eb479

diff --git a/dev-python/pbr/pbr-7.0.0.ebuild b/dev-python/pbr/pbr-7.0.0.ebuild
new file mode 100644
index 000000000000..900fb84ef407
--- /dev/null
+++ b/dev-python/pbr/pbr-7.0.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_TESTED=( pypy3_11 python3_{11..14} )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Inject some useful and sensible default behaviors into setuptools"
+HOMEPAGE="
+       https://opendev.org/openstack/pbr/
+       https://github.com/openstack/pbr/
+       https://pypi.org/project/pbr/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+       >=dev-python/setuptools-64.0.0[${PYTHON_USEDEP}]
+"
+
+# git is needed for tests, see https://bugs.launchpad.net/pbr/+bug/1326682 and
+# https://bugs.gentoo.org/show_bug.cgi?id=561038 docutils is needed for sphinx
+# exceptions... https://bugs.gentoo.org/show_bug.cgi?id=603848 stestr is run as
+# external tool.
+BDEPEND="
+       ${RDEPEND}
+       test? (
+               $(python_gen_cond_dep '
+                       >=dev-python/wheel-0.32.0[${PYTHON_USEDEP}]
+                       >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+                       >=dev-python/testresources-2.0.0[${PYTHON_USEDEP}]
+                       >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+                       >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+                       >=dev-python/virtualenv-20.0.3[${PYTHON_USEDEP}]
+                       dev-vcs/git
+               ' "${PYTHON_TESTED[@]}")
+       )
+"
+
+distutils_enable_tests unittest
+
+python_prepare_all() {
+       # TODO: investigate
+       sed -e 's:test_with_argument:_&:' \
+               -e 's:test_wsgi_script_run:_&:' \
+               -i pbr/tests/functional/test_wsgi_scripts.py || die
+       # installs random packages via pip from the Internet
+       rm pbr/tests/functional/test_pep517.py || die
+       rm pbr/tests/functional/test_requirements.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+               einfo "Testing on ${EPYTHON} is not supported at the moment"
+               return
+       fi
+
+       cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+       eunittest -b
+}

Reply via email to